Bug 866126 - gluster volume heal crashes glustershd
gluster volume heal crashes glustershd
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: replicate (Show other bugs)
mainline
Unspecified Unspecified
high Severity unspecified
: ---
: ---
Assigned To: Pranith Kumar K
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-14 03:14 EDT by Pranith Kumar K
Modified: 2013-07-24 14:04 EDT (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 14:04:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pranith Kumar K 2012-10-14 03:14:42 EDT
Description of problem:
pending frames:
frame : type(0) op(0)
frame : type(0) op(0)
frame : type(0) op(0)
frame : type(0) op(0)
frame : type(0) op(0)

patchset: git://git.gluster.com/glusterfs.git
signal received: 11
time of crash: 2012-10-14 07:15:14configuration details:
argp 1
backtrace 1
dlfcn 1
fdatasync 1
libpthread 1
llistxattr 1
setfsid 1
spinlock 1
epoll.h 1
xattr.h 1
st_atim.tv_nsec 1
package-string: glusterfs 3git
/usr/local/sbin/glusterfs(glusterfsd_print_trace+0x1f)[0x407bb0]
/lib64/libc.so.6[0x35d72359e0]
/lib64/libpthread.so.0(pthread_spin_lock+0x0)[0x35d760c0d0]
/usr/local/lib/glusterfs/3git/xlator/cluster/replicate.so(+0x5ae00)[0x7f29b21d8e00]
/usr/local/lib/libglusterfs.so.0(synctask_wrap+0x37)[0x7f29b62506d7]
/lib64/libc.so.6[0x35d7245f30]
:


Version-Release number of selected component (if applicable):


How reproducible:

always
Steps to Reproduce:
1.Execute gluster volume heal commands
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 3 Pranith Kumar K 2012-10-28 22:39:59 EDT
Avati sent a fix for this as a bug fix of 862838. Closing this bug. I verified that this does not happen anymore.

Note You need to log in before you can comment on or make changes to this bug.